# Class Type

#### Hierarchy (view full)

- XmlComponent
  - Type

- Defined in file/document/body/section-properties/properties/section-type.ts:35

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new Type(value): Type

- #### Parameters

  - value: "continuous" | "nextPage" | "nextColumn" | "evenPage" | "oddPage"

  #### Returns Type

  Overrides XmlComponent.constructor

  - Defined in file/document/body/section-properties/properties/section-type.ts:36

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc